RedactMaskFactory (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl.mask

## Class RedactMaskFactory

- java.lang.Object
- - org.apache.orc.impl.mask.MaskFactory
  - - org.apache.orc.impl.mask.RedactMaskFactory

-     public class RedactMaskFactory
      extends MaskFactory

  Masking strategy that hides most string and numeric values based on unicode character categories. Masking Parameters: character replacements: string of 10 characters one per group below letter, upper case (default X) letter, lower case (default x) number, digit (default 9) symbol (default $) punctuation (default .) separator (default no masking) letter, other (default ª) mark (default ः) number, other (default ²) other (default ۝) time replacements: string of 6 numbers or _ one per field below year (0 to 4000, default no masking) month (1 to 12, default 1) date (1 to 31, default 1) hour (0 to 23, default 0) minute (0 to 59, default 0) second (0 to 59, default 0) Parameters use "_" for preserve original.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedactMaskFactory(String... params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataMask` | `buildBinaryMask(TypeDescription schema)`
    `protected DataMask` | `buildBooleanMask(TypeDescription schema)`
    `protected DataMask` | `buildDateMask(TypeDescription schema)`
    `protected DataMask` | `buildDecimalMask(TypeDescription schema)`
    `protected DataMask` | `buildDoubleMask(TypeDescription schema)`
    `protected DataMask` | `buildLongMask(TypeDescription schema)`
    `protected DataMask` | `buildStringMask(TypeDescription schema)`
    `protected DataMask` | `buildTimestampMask(TypeDescription schema)`
    `double` | `maskDouble(double value)` Replace each digit in value with digit.
    `long` | `maskLong(long value)` Replace each digit in value with DIGIT_REPLACEMENT scaled to the matching number of digits.

    - ### Methods inherited from class org.apache.orc.impl.mask.MaskFactory

      `build, buildChildren, buildStructMask`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedactMaskFactory

          public RedactMaskFactory(String... params)

  - ### Method Detail

    - #### buildBooleanMask

          protected DataMask buildBooleanMask(TypeDescription schema)

      Specified by:
        `buildBooleanMask` in class `MaskFactory`

    - #### buildLongMask

          protected DataMask buildLongMask(TypeDescription schema)

      Specified by:
        `buildLongMask` in class `MaskFactory`

    - #### buildDecimalMask

          protected DataMask buildDecimalMask(TypeDescription schema)

      Specified by:
        `buildDecimalMask` in class `MaskFactory`

    - #### buildDoubleMask

          protected DataMask buildDoubleMask(TypeDescription schema)

      Specified by:
        `buildDoubleMask` in class `MaskFactory`

    - #### buildStringMask

          protected DataMask buildStringMask(TypeDescription schema)

      Specified by:
        `buildStringMask` in class `MaskFactory`

    - #### buildDateMask

          protected DataMask buildDateMask(TypeDescription schema)

      Specified by:
        `buildDateMask` in class `MaskFactory`

    - #### buildTimestampMask

          protected DataMask buildTimestampMask(TypeDescription schema)

      Specified by:
        `buildTimestampMask` in class `MaskFactory`

    - #### buildBinaryMask

          protected DataMask buildBinaryMask(TypeDescription schema)

      Specified by:
        `buildBinaryMask` in class `MaskFactory`

    - #### maskLong

          public long maskLong(long value)

      Replace each digit in value with DIGIT_REPLACEMENT scaled to the matching number of digits.
      Parameters:
        `value` - the number to mask
      Returns:
        the masked value

    - #### maskDouble

          public double maskDouble(double value)

      Replace each digit in value with digit.
      Parameters:
        `value` - the number to mask
      Returns:
        the

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.